package com.itbaizhan.travel;

import com.baomidou.mybatisplus.annotation.DbType;
import com.baomidou.mybatisplus.extension.plugins.MybatisPlusInterceptor;
import com.baomidou.mybatisplus.extension.plugins.inner.PaginationInnerInterceptor;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;

@SpringBootApplication
@MapperScan("com.itbaizhan.travel.mapper")//帮助mybatis定位需要自动扫描的mapper接口，并放入Spring容器中。
public class TravelApplication {

    public static void main(String[] args) {
        SpringApplication.run(TravelApplication.class, args);
    }

    @Bean
    //注册MyBatisPlus分页插件，不注册分页插件则无法使用MyBatisplus的分页功能
    public MybatisPlusInterceptor mybatisPlusInterceptor(){
        MybatisPlusInterceptor interceptor = new MybatisPlusInterceptor();//alt+两次回车，自动生成返回值
        interceptor.addInnerInterceptor(new PaginationInnerInterceptor(DbType.MYSQL));//参数为数据库的类型
        return interceptor;
    }
}
